Public Attributes | List of all members
ble_gap_conn_update_param_t Struct Reference
BLE » Generic Access Profile (GAP) » Generic Access Profile (GAP) Connection Control » Structures

The parameter of update connection. More...

`#include <ble_gapc.h>`

## Public Attributes
uint16_t | interval_min
| Minimum value for the connection interval. More...
uint16_t | interval_max
| Maximum value for the connection interval. More...
uint16_t | slave_latency
| Slave latency for the connection in number of connection events. More...
uint16_t | sup_timeout
| Supervision timeout for the LE link. More...
uint16_t | ce_len
| The length of connection event needed for this LE connection. More...

## Detailed Description

The parameter of update connection.

Definition at line 380 of file ble_gapc.h.

## Member Data Documentation

## ◆ ce_len

uint16_t ble_gap_conn_update_param_t::ce_len

The length of connection event needed for this LE connection.

Range: 0x0002 to 0xFFFF, unit: 0.625 ms, time Range: 1.25 ms to 40.9 s. recommended value: 0x0002 for 1M phy, 0x0006 for coded phy

Definition at line 388 of file ble_gapc.h.

## ◆ interval_max

uint16_t ble_gap_conn_update_param_t::interval_max

Maximum value for the connection interval.

This shall be greater than or equal to Conn_Interval_Min. Range: 0x0006 to 0x0C80, unit: 1.25 ms, time range: 7.5 ms to 4 s.

Definition at line 384 of file ble_gapc.h.

## ◆ interval_min

uint16_t ble_gap_conn_update_param_t::interval_min

Minimum value for the connection interval.

This shall be less than or equal to Conn_Interval_Max. Range: 0x0006 to 0x0C80, unit: 1.25 ms, time range: 7.5 ms to 4 s

Definition at line 382 of file ble_gapc.h.

## ◆ slave_latency

uint16_t ble_gap_conn_update_param_t::slave_latency

Slave latency for the connection in number of connection events.

Range: 0x0000 to 0x01F3.

Definition at line 386 of file ble_gapc.h.

## ◆ sup_timeout

uint16_t ble_gap_conn_update_param_t::sup_timeout

Supervision timeout for the LE link.

range: 0x000A to 0x0C80, unit: 10 ms, Time range: 100 ms to 32 s.

Definition at line 387 of file ble_gapc.h.

The documentation for this struct was generated from the following file:

- ble_gapc.h